(function ($, Drupal, drupalSettings) {
  Drupal.behaviors.trackingOptions = {
    attach: function () {
      $('body').once('tracking-options').each(function () {
        var trackingEnabled = localStorage.getItem('trackingEnabled');
        if (trackingEnabled === 'true') {
          trackingOptionsLoadScripts();
        }
      });
    },
    defaultTracking: function () {
      return drupalSettings.defaultTracking;
    },
    // API methods
    doNotTrack: function () {
      return trackingOptout.doNotTrack;
    },
    enabled: function () {
      return trackingOptout.enabled;
    },
    toggle: function () {
      return trackingOptout.toggle();
    },
    set: function (value) {
      return trackingOptout.set(value);
    },
  };
}(jQuery, Drupal, drupalSettings));
